## com.puppycrawl.tools.checkstyle.checks.indentation
Class LabelHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.LabelHandler

    public class LabelHandler

extends ExpressionHandler

Handler for labels.

Author:
  jrichard

Constructor Summary
`LabelHandler(IndentationCheck aIndentCheck, DetailAST aExpr, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`void` `checkIndentation()` Check the indentation of the expression we are handling.
`protected IndentLevel` `getLevelImpl()` Compute the indentation amount for this handler.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine, suggestedChildLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelHandler

    public LabelHandler(IndentationCheck aIndentCheck,
                        DetailAST aExpr,
                        ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aExpr` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### getLevelImpl

    protected IndentLevel getLevelImpl()

  Description copied from class: `ExpressionHandler`
  Compute the indentation amount for this handler.

  Overrides:
    `getLevelImpl` in class `ExpressionHandler`
  Returns:
    the expected indentation amount

### checkIndentation

    public void checkIndentation()

  Description copied from class: `ExpressionHandler`
  Check the indentation of the expression we are handling.

  Specified by:
    `checkIndentation` in class `ExpressionHandler`

Copyright © 2001-2011. All Rights Reserved.